# $Revision: 1.15 $, $Date: 2009/08/07 21:04:14 $
Summary:	BDF font utilities (bdftruncate, ucs2any)
Summary(pl.UTF-8):	Narzędzia do fontów BDF (bdftruncate, ucs2any)
Name:		xorg-font-font-util
Version:	1.0.2
Release:	1
License:	BSD
Group:		X11/Development/Tools
Source0:	http://xorg.freedesktop.org/releases/individual/font/font-util-%{version}.tar.bz2
# Source0-md5:	fe5a7df765d297623663477edce70b7c
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 0.99.2
Obsoletes:	X11-fonts-utils < 1:7.0.0
Obsoletes:	XFree86-fonts-utils < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BDF font utilities:
- bdftruncate generates truncated BDF font from ISO 10646-1-encoded
  BDF font
- ucs2any generates BDF fonts containing subsets of ISO 10646-1 codepoints

%description -l pl.UTF-8
Narzędzia do fontów BDF:
- bdftruncate generuje obcięte fonty BDF z fontów BDF w kodowaniu ISO
  10646-1
- ucs2any generuje fonty BDF zawierające podzbiory kodów ISO 10646-1

%prep
%setup -q -n font-util-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-mapdir=%{_fontsdir}/util

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_bindir}/bdftruncate
%attr(755,root,root) %{_bindir}/ucs2any
%{_fontsdir}/util
%{_mandir}/man1/bdftruncate.1x*
%{_mandir}/man1/ucs2any.1x*
%{_aclocaldir}/fontutil.m4
%{_pkgconfigdir}/fontutil.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-font-font-util.spec,v $
Revision 1.15  2009/08/07 21:04:14  arekm
- up to 1.0.2

Revision 1.14  2007/04/29 20:33:18  qboosh
- informative descs (from man pages)

Revision 1.13  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.11  2007/01/06 22:47:46  arekm
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

Revision 1.10  2006/05/26 21:45:11  qboosh
- Obsoletes: {X11,XFree86}-fonts-utils

Revision 1.9  2006/05/26 16:08:11  qboosh
- updated to 1.0.1, release 1

Revision 1.8  2006/01/03 12:55:25  qboosh
- 1.0.0 (X11R7.0 release)

Revision 1.7  2005/12/05 00:01:47  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.6  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.5  2005/10/21 06:08:30  qboosh
- 0.99.1 (X11R7.0-RC1)
- License is 4-clause BSD here

Revision 1.4  2005/08/27 18:50:47  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 18:42:17  qboosh
- cleanups, better Group; TODO: use PLD fonts infrastructure

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Mon Aug 15 2005 00:05:19  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix}, %%{_mandir} and %%{_datadir}
- moved fonts data to proper directory
- release 0.02

* Tue Aug  9 2005 10:12:10  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
